oarprint(1)

NAME
oarprint - pretty print of a job resources

SYNOPSIS
oarprint [options] <key property name>

DESCRIPTION
Print a sorted output of the resources of a job with regard to a key property, with a customisable format.

OPTION

-f, --file
    Input file, default is $OAR_RESOURCE_PROPERTIES_FILE (available within a job). See the EXAMPLES section below for more details.

-P, --properties
    Property to display separated by commas, default: key property.

-F,--format
    Customised output format, default: "%" .

-T, --token
    Substitution token to replace in the format string, default: % .

-C, --comma
    Separator to use when displaying lists, default: , .

-l, --list
    List available properties and exit.

-h, --help
    Show help usage.

EXAMPLES
On the job connection node (where $OAR_RESOURCE_PROPERTIES_FILE is defined):

 oarprint host -P host,cpu,core -F "host: % cpu: % core: %" -C+

On the submission frontend:

 oarstat -j 42 -p | oarprint core -P host,cpuset,mem -F "%[%] (%)" -f -

SEE ALSO
oarstat(1), oarnodes(1), oarsub(1), oardel(1), oarhold(1), oarresume(1)

COPYRIGHTS
 Copyright 2003-2016 Laboratoire d'Informatique de Grenoble (http://www.liglab.fr). This software is licensed under the GNU General Public License Version 2 or above. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.